Package ru.bitel.bgbilling.modules.softkey.common.bean

# Class SoftkeyProduct

java.lang.Object
ru.bitel.bgbilling.modules.softkey.common.bean.SoftkeyProduct

public class SoftkeyProduct extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SoftkeyProduct()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAmount()`
  `String`
  `getCurrency()`
  `int`
  `getId()`
  `String`
  `getProductDescription()`
  `String`
  `getProductName()`
  `int`
  `getSubscribeId()`
  `String`
  `getSubscribeName()`
  `void`
  `setAmount(BigDecimal amount)`
  `void`
  `setCurrency(String currency)`
  `void`
  `setId(int id)`
  `void`
  `setProductDescription(String productDescription)`
  `void`
  `setProductName(String productName)`
  `void`
  `setSubscribeId(int subscribeId)`
  `void`
  `setSubscribeName(String subscribeName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SoftkeyProduct

    public SoftkeyProduct()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getSubscribeId

    public int getSubscribeId()

  - ### setSubscribeId

    public void setSubscribeId(int subscribeId)

  - ### getSubscribeName

    public String getSubscribeName()

  - ### setSubscribeName

    public void setSubscribeName(String subscribeName)

  - ### getProductName

    public String getProductName()

  - ### setProductName

    public void setProductName(String productName)

  - ### getProductDescription

    public String getProductDescription()

  - ### setProductDescription

    public void setProductDescription(String productDescription)

  - ### getAmount

    public BigDecimal getAmount()

  - ### setAmount

    public void setAmount(BigDecimal amount)

  - ### getCurrency

    public String getCurrency()

  - ### setCurrency

    public void setCurrency(String currency)